/* Widget Xt pour affichage d'image  Interface Public    */
/*                                    Reza 10/95         */

#ifndef PIBWDGMAC_H_SEEN
#define PIBWDGMAC_H_SEEN

#include "pisysdep.h"
#include "pibwdggen.h"


class PIBaseWdgMac : public PIBaseWdgGen
{
public:
// Les methodes ...

                     PIBaseWdgMac(PIContainerGen *par, char *nom,
                                   int sx=10, int sy=10, int px=0, int py=0);
  virtual           ~PIBaseWdgMac();

//  Activation des evenements
  virtual void       ActivatePtrCross();
  virtual void       ActivateButton(int bid);
  virtual void       ActivateMove(int bid);
  virtual void       ActivateKeyboard();

  virtual void       EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0);
  virtual void       SelPointerShape(PIPointer ptr=PI_ArrowPointer);
  virtual void       SetBackgroundColor(PIColors col=PI_White);
  virtual PIColors   GetBackgroundColor();
  virtual PIPointer  GetPointerShape();
  virtual void       AssignKeyboard() {}

protected:
  friend class       PIUpdAttachment;
  virtual bool       AdjustCursor();
  CursPtr            cursor;
  

  PIPointer mPtrS;
  PIColors  mBCol;
};

typedef PIBaseWdgMac PIBaseWdg;

#endif /* RZXBASE_H_SEEN */
